Subject: Re: linux-next: manual merge of the kvm tree

From: Hollis Blanchard <[email-masked]>
Date: Mon, 22 Dec 2008 16:03:42 -0600

On Tue, 2008-12-23 at 08:41 +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2008-12-22 at 15:39 -0600, Hollis Blanchard wrote:
> > On Mon, 2008-12-22 at 16:13 +1100, Benjamin Herrenschmidt wrote:
> > > On Mon, 2008-12-22 at 14:52 +1100, Stephen Rothwell wrote:
> > > > 
> > > > The former patch changes the _tlbia() to _tlbil_all() in
> > > > kvm_arch_vcpu_put().  The latter restructures this code.
> > > > 
> > > > I don't know enough to fix this up, so for today I have merely used the
> > > > kvm tree version.  Please come up with something better (if needed) and I
> > > > can use that as a merge resolution.
> > > 
> > > Hollis, can you have a look ? I suspect whatever is in the kvm tree is
> > > ok, provided it doesn't use the old names such as _tlbia() or _tlbie()
> > > which don't exist anymore for nohash...
> > 
> > I've stopped calling _tlbia() in KVM, so I think the easiest solution
> > would be to drop the KVM part of your patch, Ben.
> 
> Patch is in Paulus -next already so we'll have to do a manual resolve.

Who has to do it? My code should "win".

> Also, you'll need to include ../mm/mmu_decl.h to get to _tlbil_* ..
> sorry about that.

I don't want _tlb anything; I was only using _tlbia(), and I'm not any
more.

-- 
Hollis Blanchard
IBM Linux Technology Center